/*
 *  Copyright (c) 2016 Samsung Electronics Co., Ltd All Rights Reserved
 *
 *  Licensed under the Apache License, Version 2.0 (the "License");
 *  you may not use this file except in compliance with the License.
 *  You may obtain a copy of the License at
 *
 *      http://www.apache.org/licenses/LICENSE-2.0
 *
 *  Unless required by applicable law or agreed to in writing, software
 *  distributed under the License is distributed on an "AS IS" BASIS,
 *  WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 *  See the License for the specific language governing permissions and
 *  limitations under the License
 *
 *
 * @file        test-helper.h
 * @author      Kyungwook Tak (k.tak@samsung.com)
 * @version     1.0
 */
#pragma once

#include "types.h"

#ifndef BOOST_MESSAGE
#include <iostream>
#define BOOST_MESSAGE(x) std::cout << x << std::endl;
#endif

namespace Wae {
namespace Test {

void add_get_remove_ce(wae_app_type_e app_type);
void create_app_ce(wae_app_type_e app_type);
void encrypt_decrypt_web_app(wae_app_type_e app_type);

void remove_dek_store();
void restore_dek_store();
void restore_dummy_preloaded_app_dek_keks();
} // namespace Test
} // namespace Wae
